(import utils [run])

(defn footer [] 
  `(footer 
    (div 
      "page rendered at $[date +%s]"
      (br)
      "page compiled at " ~(run "date +%s"))
    (img (:src "/assets/88x31/natalieee.net.png" :alt "natalieee.net 88x31" :width "88" :height "31"))
    (div 
      (footnote (:style "margin-top: 5px") "all content, with the exception of 88x31 buttons or unless otherwise noted is created by natalie and is licensed under a CC BY-NC-SA 4.0 license."))
    (a (:href "https://creativecommons.org/licenses/by-nc-sa/4.0/deed.en")
      (img (:src "/assets/88x31/by-nc-sa.png" :alt "license 88x31" :width "88" :height "31")))
    (footnote (:style "margin-top: 5px") "▖▖▖▖▘▖▖▖▖▘▌▖▖▖▘"
      (div (:style "flex-direction: row; width: 14ch; gap: 1ch; margin-right: 5px;") 
        (a (:href "https://stellophiliac.github.io/roboring/0x6e6174/previous") "<-")
        (a (:href "https://stellophiliac.github.io/roboring") "roboring")
        (a (:href "https://stellophiliac.github.io/roboring/0x6e6174/next") "->")))))
