label = lambda lineno: type(
    'label',
    (object,),
    dict(line=lineno)
)
    
def prepare_labels(fp, scope):
    with open(fp, 'r') as f:
        lines = f.readlines()

    for lineno, line in enumerate(lines):
        if line.startswith('#LABEL'):
            # 1 + 1, first to account for 0 index then to account for comment line
            scope.__setitem__(line.split(' ')[1].strip(), label(lineno+2)) 
